document.addEventListener('DOMContentLoaded', () => {
  const spiral = document.querySelector('.spiral');
  let mouseX = 0;
  let mouseY = 0;

  // Parallax effect on spiral
  document.addEventListener('mousemove', (e) => {
    mouseX = (e.clientX / window.innerWidth - 0.5) * 20;
    mouseY = (e.clientY / window.innerHeight - 0.5) * 20;
    
    spiral.style.transform = `translate(${mouseX}px, ${mouseY}px) scale(1)`;
  });

  // Add touch interaction for mobile
  let touchStartX = 0;
  let touchStartY = 0;

  document.addEventListener('touchstart', (e) => {
    touchStartX = e.touches[0].clientX;
    touchStartY = e.touches[0].clientY;
  });

  document.addEventListener('touchmove', (e) => {
    e.preventDefault();
    const touchX = (e.touches[0].clientX - touchStartX) / 50;
    const touchY = (e.touches[0].clientY - touchStartY) / 50;
    
    spiral.style.transform = `translate(${touchX}px, ${touchY}px) scale(1)`;
  });

  // Reset transform on touch end
  document.addEventListener('touchend', () => {
    spiral.style.transform = 'translate(0, 0) scale(1)';
  });
});
